<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <artifactId>xtools-boot</artifactId>
    <packaging>pom</packaging>
    <name>xtools-boot</name>
    <description>低调大师工具箱,SpringBoot工具模块,适配JDK25</description>

    <!-- 父pom -->
    <parent>
        <groupId>org.xujun</groupId>
        <artifactId>xtools-parent-boot</artifactId>
        <version>5.0.0</version>
        <relativePath/>
    </parent>

    <!-- 子模块 -->
    <modules>
        <module>xtools-boot-api</module>
        <module>xtools-boot-core</module>

        <module>xtools-boot-cache</module>
        <module>xtools-boot-db</module>
        <module>xtools-boot-elasticsearch</module>
        <module>xtools-boot-ip</module>
        <module>xtools-boot-job</module>
        <module>xtools-boot-knife4j</module>
        <module>xtools-boot-log</module>
        <module>xtools-boot-mask</module>
        <module>xtools-boot-mq</module>
        <module>xtools-boot-storage</module>
        <module>xtools-boot-task</module>
        <module>xtools-boot-thread</module>
        <module>xtools-boot-web</module>
    </modules>

    <!-- 属性配置 -->
    <properties>
        <!-- JDK 版本 -->
        <java.version>25</java.version>
    </properties>

</project>